import type { IContentManager } from './i-content-manager';
export type MatchedIndexes = Array<{
    index: number;
}>;
export interface HistoryStackItem {
    content: string;
    anchorContent: string;
    startParaIndex: number;
    startMatchedIndexes: Array<{
        index: number;
    }>;
    startOffset: number;
    endParaIndex: number;
    endMatchedIndexes: Array<{
        index: number;
    }>;
    endOffset: number;
}
export declare abstract class IUndoManager {
    abstract contentManager: IContentManager;
    abstract undoStack: HistoryStackItem[];
    abstract redoStack: HistoryStackItem[];
    abstract saveState(): void;
    abstract undo(): void;
    abstract redo(): void;
    abstract destroy(): void;
}
